/**
 * Used to filter the search logic | Options to control how path saving is performed.
 */
export type SearchOptions = {
    /**
     * - Whether to search subfolders or not.
     */
    deepSearch?: boolean;
};
/**
 * Options to control how paths search is performed.
 */
export type FilterOptions = {
    /**
     * - The rest of the path before the file folder.
     */
    root?: string | RegExp;
    /**
     * - The folder the file is in.
     */
    folder?: string | RegExp;
    /**
     * - The file name before the first dot.
     */
    name?: string | RegExp;
    /**
     * - The file extension after the first dot.
     */
    extension?: string | RegExp;
};
