import type { FilePath } from "./class/filePath";

/**
 * Get all saved paths.
 * @returns {FilePath[]} All saved paths.
 * @example
 * const paths = getPaths();
 */
export declare function getPaths(): FilePath[];
/**
 * Set the new paths as the saved paths.
 * @param {FilePath[]} newPaths - The new paths assigned to the global variable.
 * @returns {void}
 * @example
 * const newPaths = [new FilePath(...)];
 * setPaths(newPaths);
 */
export declare function setPaths(newPaths: FilePath[]): void;
